## deepin-ocr 1.1.2

=== src/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2022 UnionTech Software Technology Co., Ltd.
#
# SPDX-License-Identifier: CC0-1.0

cmake_minimum_required(VERSION 3.10)
project(deepin-ocr)

#玲珑构建依赖目录
include_directories(${CMAKE_INSTALL_PREFIX}/include)

#for Qt
set(CMAKE_INCLUDE_CURRENT_DIR ON)
set(CMAKE_CXX_STANDARD 17)
set(CMAKE_INCLUDE_CURRENT_DIR ON)
set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTORCC ON)
set(CMAKE_AUTOUIC ON)
set(QtModule Core Gui Widgets DBus LinguistTools)

if(DOTEST)
    set(QtModule ${QtModule} Test)
    if(CMAKE_HOST_SYSTEM_PROCESSOR MATCHES "mips64")
        set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -g -fprofile-arcs -ftest-coverage")
    else()
        set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fsanitize=undefined,address,leak -fno-omit-frame-pointer -g -fprofile-arcs -ftest-coverage -lgcov -fno-rtti")
    endif()
endif()

find_package(Qt5 REQUIRED ${QtModule})

include_directories(
    ${Qt5Core_INCLUDE_DIRS}
    ${Qt5Gui_INCLUDE_DIRS}
    ${Qt5Widgets_INCLUDE_DIRS}
    ${Qt5DBus_INCLUDE_DIRS}
)
add_definitions(${QT_DEFINITIONS})

include(CMakePackageConfigHelpers)

#for ocr plugin manager
#find_package(dtkocr)
#include_directories(${dtkocr_INCLUDE_DIRS})

#for OpenMP
find_package(OpenMP REQUIRED)
set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -fopenmp")
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fopenmp")

#for project files
include_directories(.)
include_directories(view)
include_directories(service)
include_directories(engine)

aux_source_directory(. allSource)
aux_source_directory(./view allSource)
aux_source_directory(./service allSource)
aux_source_directory(./engine allSource)

#translation
file(GLOB TargetTsFiles LIST_DIRECTORIES false ../translations/${PROJECT_NAME}*.ts)
set_directory_properties(PROPERTIES CLEAN_NO_CUSTOM 1)
if (NOT (${CMAKE_BUILD_TYPE} MATCHES "Debug"))
    qt5_create_translation(LangSrcs ${allSource} ${TargetTsFiles}
        OPTIONS )
endif()
qt5_add_translation(${TargetTsFiles})
set_source_files_properties(${qmfiles} PROPERTIES OUTPUT_LOCATION "translations")

#QRC file
set(AllQRC ../resource.qrc)

add_executable(${PROJECT_NAME} ${allSource} ${LangSrcs} ${AllQRC})

#for test
if(DOTEST)
    SET(PROJECT_NAME_TEST ${PROJECT_NAME}_test)

    include_directories(./../tests/)
    include_directories(./../3rdparty/stub_linux/)

    aux_source_directory(./../tests/ allTestSource)
    aux_source_directory(./view allTestSource)
    aux_source_directory(./service allTestSource)
    aux_source_directory(./paddleocr-ncnn allTestSource)
    aux_source_directory(../3rdparty/clipper allTestSource)

    FILE(GLOB allTestSource1
        "./frame.cpp"
        "./loadingwidget.cpp"
        "./ocrapplication.cpp"
        "./mainwidget.cpp"
        "./mainwindow.cpp"
        "./resulttextview.cpp"
        "./textloadwidget.cpp"
        )

    add_executable(${PROJECT_NAME_TEST} ${allHeaders} ${allTestSource} ${allTestSource1})
    target_link_libraries(${PROJECT_NAME_TEST} gmock gtest pthread)

    add_test(${PROJECT_NAME_TEST} COMMAND ${PROJECT_NAME_TEST})

#------------------------------ 创建'make test'指令---------------------------------------
    add_custom_target(test
        COMMAND mkdir -p coverageResult
        WORKING_DIRECTORY ${CMAKE_BINARY_DIR})
    add_custom_command(TARGET test
        COMMAND echo " =================== CREAT LCOV REPROT BEGIN ==================== "

        COMMAND lcov --directory ./CMakeFiles/${PROJECT_NAME_TEST}.dir --zerocounters
        COMMAND lcov --directory ./CMakeFiles/${PROJECT_NAME}.dir --zerocounters
        COMMAND ./${PROJECT_NAME}/${PROJECT_NAME_TEST}

        COMMAND lcov --directory . --capture --output-file ./coverageResult/${PROJECT_NAME}_Coverage.info

        COMMAND echo " =================== do filter begin ==================== "
        COMMAND lcov --remove ./coverageResult/${PROJECT_NAME}_Coverage.info
        '*/${PROJECT_NAME_TEST}_autogen/*' '*/${PROJECT_NAME}_autogen/*' '*/usr/include/*' '*/tests/*' '*/googletest/*'
        -o ./coverageResult/${PROJECT_NAME}_Coverage.info
        COMMAND echo " =================== do filter end ==================== "

        COMMAND genhtml -o ./coverageResult/report ./coverageResult/${PROJECT_NAME}_Coverage.info
        COMMAND echo " =================== CREAT LCOV REPROT END ==================== "

        WORKING_DIRECTORY ${CMAKE_BINARY_DIR}
    )
    add_dependencies(test ${PROJECT_NAME_TEST})
endif()

#for dtk
find_package(PkgConfig REQUIRED)
pkg_check_modules(dtk_lib REQUIRED dtkwidget dtkcore dtkocr)
target_include_directories(${PROJECT_NAME} PUBLIC ${dtk_lib_INCLUDE_DIRS})

if(DOTEST)
    target_include_directories(${PROJECT_NAME_TEST} PUBLIC ${dtk_lib_INCLUDE_DIRS})
endif()

qt5_use_modules(${PROJECT_NAME} ${QtModule})

if(DOTEST)
    qt5_use_modules(${PROJECT_NAME_TEST} ${QtModule})
endif()

target_link_libraries(${PROJECT_NAME} Qt5::Core Qt5::Gui Qt5::Widgets ${dtk_lib_LIBRARIES} pthread)

if(DOTEST)
    target_link_libraries(${PROJECT_NAME_TEST} Qt5::Core Qt5::Gui Qt5::Widgets ${dtk_lib_LIBRARIES} pthread)
endif()

#dde项目，期望CMAKE_INSTALL_PREFIX为/usr
if (CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT)
    set(CMAKE_INSTALL_PREFIX /usr)
endif ()

# install
set(PREFIX ${CMAKE_INSTALL_PREFIX})
set(TranslationDir ${PREFIX}/share/${PROJECT_NAME}/translations)
set(DesktopDir ${PREFIX}/share/applications/)
set(AppIconDir ${PREFIX}/share/icons/hicolor/scalable/apps)
set(DBusServiceDir ${PREFIX}/share/dbus-1/services)

install(TARGETS ${PROJECT_NAME}
        EXPORT ${PROJECT_NAME}Targets
        LIBRARY DESTINATION ${PREFIX}/lib
        ARCHIVE DESTINATION lib
        RUNTIME DESTINATION ${PREFIX}/bin
        INCLUDES DESTINATION allHeaders)

install(FILES ${LangSrcs} DESTINATION ${TranslationDir})
install(FILES ../deepin-ocr.desktop DESTINATION ${DesktopDir})
install(FILES ../assets/deepin-ocr.svg DESTINATION ${AppIconDir})
install(FILES ../com.deepin.Ocr.service DESTINATION ${DBusServiceDir})

=== debian/changelog ===
deepin-ocr (1.1.2-1) unstable; urgency=medium

  * update

 -- Deepin Packages Builder <packages@deepin.com>  Wed, 16 Aug 2023 13:58:05 +0800

deepin-ocr (1.1.2) unstable; urgency=medium

  * New version 1.1.2.

 -- xiepengfei <xiepengfei@uniontech.com>  Wed, 16 Aug 2023 11:43:41 +0800

deepin-ocr (1.1.1) unstable; urgency=medium

  * New version 1.1.1.

 -- xiepengfei <xiepengfei@uniontech.com>  Thur, 13 Apr 2023 15:08:32 +0800

deepin-ocr (1.1.0) unstable; urgency=medium

  * Use dtkocr instead of PaddleOCR-NCNN
  * Add language change

 -- TagBuilder <wangzhengyang@uniontech.com>  Fri, 10 Mar 2023 10:16:55 +0800

=== debian/control ===
Source: deepin-ocr
Section: utils
Priority: optional
Maintainer: Deepin Packages Builder <packages@deepin.com>
Build-Depends: debhelper (>= 11), cmake, qtbase5-dev, pkg-config, libdtkwidget-dev (>= 5.6), qttools5-dev-tools, qttools5-dev, libdtkocr-dev
Standards-Version: 4.1.3
Homepage: http://www.deepin.org/

Package: deepin-ocr
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Ocr for UOS
 Ocr is a text recognition software.

## deepin-ocr 6.5.0

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -5,10 +5,23 @@
 cmake_minimum_required(VERSION 3.10)
 project(deepin-ocr)
 
-#玲珑构建依赖目录
+set(ENABLE_Qt6 ON CACHE BOOL "Build with Qt6")
+find_package(Qt6 QUIET)
+
+if(ENABLE_Qt6 AND Qt6_FOUND)
+    set(DTK_VERSION_MAJOR 6)
+    set(QT_VERSION_MAJOR 6)
+    set(SUPPORT_QT6 TRUE)
+else()
+    set(QT_VERSION_MAJOR 5)
+endif()
+
+message(STATUS "--- Current Qt verison: ${QT_VERSION_MAJOR}")
+
+# 玲珑构建依赖目录
 include_directories(${CMAKE_INSTALL_PREFIX}/include)
 
-#for Qt
+# for Qt
 set(CMAKE_INCLUDE_CURRENT_DIR ON)
 set(CMAKE_CXX_STANDARD 17)
 set(CMAKE_INCLUDE_CURRENT_DIR ON)
@@ -19,6 +32,7 @@
 
 if(DOTEST)
     set(QtModule ${QtModule} Test)
+
     if(CMAKE_HOST_SYSTEM_PROCESSOR MATCHES "mips64")
         set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -g -fprofile-arcs -ftest-coverage")
     else()
@@ -26,28 +40,22 @@
     endif()
 endif()
 
-find_package(Qt5 REQUIRED ${QtModule})
-
-include_directories(
-    ${Qt5Core_INCLUDE_DIRS}
-    ${Qt5Gui_INCLUDE_DIRS}
-    ${Qt5Widgets_INCLUDE_DIRS}
-    ${Qt5DBus_INCLUDE_DIRS}
-)
+find_package(Qt${QT_VERSION_MAJOR} REQUIRED ${QtModule})
+
 add_definitions(${QT_DEFINITIONS})
 
 include(CMakePackageConfigHelpers)
 
-#for ocr plugin manager
-#find_package(dtkocr)
-#include_directories(${dtkocr_INCLUDE_DIRS})
-
-#for OpenMP
+# for ocr plugin manager
+# find_package(dtkocr)
+# include_directories(${dtkocr_INCLUDE_DIRS})
+
+# for OpenMP
 find_package(OpenMP REQUIRED)
 set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -fopenmp")
 set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fopenmp")
 
-#for project files
+# for project files
 include_directories(.)
 include_directories(view)
 include_directories(service)
@@ -58,22 +66,28 @@
 aux_source_directory(./service allSource)
 aux_source_directory(./engine allSource)
 
-#translation
+# translation
 file(GLOB TargetTsFiles LIST_DIRECTORIES false ../translations/${PROJECT_NAME}*.ts)
 set_directory_properties(PROPERTIES CLEAN_NO_CUSTOM 1)
-if (NOT (${CMAKE_BUILD_TYPE} MATCHES "Debug"))
-    qt5_create_translation(LangSrcs ${allSource} ${TargetTsFiles}
-        OPTIONS )
-endif()
-qt5_add_translation(${TargetTsFiles})
+
+if(NOT(${CMAKE_BUILD_TYPE} MATCHES "Debug"))
+    if(SUPPORT_QT6)
+        qt_create_translation(LangSrcs ${allSource} ${TargetTsFiles} OPTIONS)
+        qt_add_translation(${TargetTsFiles})
+    else()
+        qt5_create_translation(LangSrcs ${allSource} ${TargetTsFiles} OPTIONS)
+        qt5_add_translation(${TargetTsFiles})
+    endif()
+endif()
+
 set_source_files_properties(${qmfiles} PROPERTIES OUTPUT_LOCATION "translations")
 
-#QRC file
+# QRC file
 set(AllQRC ../resource.qrc)
 
 add_executable(${PROJECT_NAME} ${allSource} ${LangSrcs} ${AllQRC})
 
-#for test
+# for test
 if(DOTEST)
     SET(PROJECT_NAME_TEST ${PROJECT_NAME}_test)
 
@@ -94,14 +108,14 @@
         "./mainwindow.cpp"
         "./resulttextview.cpp"
         "./textloadwidget.cpp"
-        )
+    )
 
     add_executable(${PROJECT_NAME_TEST} ${allHeaders} ${allTestSource} ${allTestSource1})
     target_link_libraries(${PROJECT_NAME_TEST} gmock gtest pthread)
 
     add_test(${PROJECT_NAME_TEST} COMMAND ${PROJECT_NAME_TEST})
 
-#------------------------------ 创建'make test'指令---------------------------------------
+    # ------------------------------ 创建'make test'指令---------------------------------------
     add_custom_target(test
         COMMAND mkdir -p coverageResult
         WORKING_DIRECTORY ${CMAKE_BINARY_DIR})
@@ -128,31 +142,46 @@
     add_dependencies(test ${PROJECT_NAME_TEST})
 endif()
 
-#for dtk
+# for dtk
 find_package(PkgConfig REQUIRED)
-pkg_check_modules(dtk_lib REQUIRED dtkwidget dtkcore dtkocr)
-target_include_directories(${PROJECT_NAME} PUBLIC ${dtk_lib_INCLUDE_DIRS})
+pkg_check_modules(ocr_lib REQUIRED dtk6ocr)
+target_include_directories(${PROJECT_NAME} PUBLIC ${ocr_lib_INCLUDE_DIRS})
+find_package(Dtk${DTK_VERSION_MAJOR} REQUIRED COMPONENTS Core Widget)
+
+if(NOT SUPPORT_QT6)
+    qt5_use_modules(${PROJECT_NAME} ${QtModule})
+endif()
+
+if(DOTEST AND NOT SUPPORT_QT6)
+    qt5_use_modules(${PROJECT_NAME_TEST} ${QtModule})
+endif()
+
+target_link_libraries(${PROJECT_NAME}
+    Qt${QT_VERSION_MAJOR}::Core
+    Qt${QT_VERSION_MAJOR}::Gui
+    Qt${QT_VERSION_MAJOR}::Widgets
+    Dtk${DTK_VERSION_MAJOR}::Core
+    Dtk${DTK_VERSION_MAJOR}::Widget
+    ${ocr_lib_LIBRARIES}
+    pthread
+)
 
 if(DOTEST)
-    target_include_directories(${PROJECT_NAME_TEST} PUBLIC ${dtk_lib_INCLUDE_DIRS})
-endif()
-
-qt5_use_modules(${PROJECT_NAME} ${QtModule})
-
-if(DOTEST)
-    qt5_use_modules(${PROJECT_NAME_TEST} ${QtModule})
-endif()
-
-target_link_libraries(${PROJECT_NAME} Qt5::Core Qt5::Gui Qt5::Widgets ${dtk_lib_LIBRARIES} pthread)
-
-if(DOTEST)
-    target_link_libraries(${PROJECT_NAME_TEST} Qt5::Core Qt5::Gui Qt5::Widgets ${dtk_lib_LIBRARIES} pthread)
-endif()
-
-#dde项目，期望CMAKE_INSTALL_PREFIX为/usr
-if (CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT)
+    target_link_libraries(${PROJECT_NAME_TEST}
+        Qt${QT_VERSION_MAJOR}::Core
+        Qt${QT_VERSION_MAJOR}::Gui
+        Qt${QT_VERSION_MAJOR}::Widgets
+        Dtk${DTK_VERSION_MAJOR}::Core
+        Dtk${DTK_VERSION_MAJOR}::Widget
+        ${ocr_lib_LIBRARIES}
+        pthread
+    )
+endif()
+
+# dde项目，期望CMAKE_INSTALL_PREFIX为/usr
+if(CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT)
     set(CMAKE_INSTALL_PREFIX /usr)
-endif ()
+endif()
 
 # install
 set(PREFIX ${CMAKE_INSTALL_PREFIX})
@@ -162,11 +191,11 @@
 set(DBusServiceDir ${PREFIX}/share/dbus-1/services)
 
 install(TARGETS ${PROJECT_NAME}
-        EXPORT ${PROJECT_NAME}Targets
-        LIBRARY DESTINATION ${PREFIX}/lib
-        ARCHIVE DESTINATION lib
-        RUNTIME DESTINATION ${PREFIX}/bin
-        INCLUDES DESTINATION allHeaders)
+    EXPORT ${PROJECT_NAME}Targets
+    LIBRARY DESTINATION ${PREFIX}/lib
+    ARCHIVE DESTINATION lib
+    RUNTIME DESTINATION ${PREFIX}/bin
+    INCLUDES DESTINATION allHeaders)
 
 install(FILES ${LangSrcs} DESTINATION ${TranslationDir})
 install(FILES ../deepin-ocr.desktop DESTINATION ${DesktopDir})

=== debian/changelog ===
deepin-ocr (6.5.0) unstable; urgency=medium

  * feat: enable Qt6 build and switch to Qt6.8

 -- renbin <renbin@uniontech.com>  Mon, 20 Jan 2025 10:59:07 +0800

deepin-ocr (1.5.1) unstable; urgency=medium

  *remove env kwayland-shell  

 -- Liu zheng <liuzheng@uniontech.com>  Wed, 06 Nov 2024 15:33:24 +0800

deepin-ocr (1.5.0) unstable; urgency=medium

  * adapt treeland 

 -- Liu zheng <liuzheng@uniontech.com>  Tue, 22 Oct 2024 20:32:59 +0800

=== debian/control ===
Source: deepin-ocr
Section: utils
Priority: optional
Maintainer: Deepin Packages Builder <packages@deepin.com>
Build-Depends: debhelper (>= 11),
 cmake,
 pkg-config,
 qt6-base-dev,
 qt6-tools-dev,
 qt6-tools-dev-tools,
 libdtk6widget-dev,
 libdtk6ocr-dev
Standards-Version: 4.1.3
Homepage: http://www.deepin.org/

Package: deepin-ocr
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Ocr for UOS
 Ocr is a text recognition software.

## deepin-ocr 6.5.6

=== debian/changelog ===
deepin-ocr (6.5.6) unstable; urgency=medium

  * update version to 6.5.6 

 -- Tian ShiLin <tianshilin@uniontech.com>  Mon, 23 Jun 2025 15:06:46 +0800

deepin-ocr (6.5.5) unstable; urgency=medium

  * chore: clean up CMake configuration by removing unnecessary compiler flags

 -- dengzhongyuan <dengzhongyuan@uniontech.com>  Fri, 20 Jun 2025 17:45:00 +0800

deepin-ocr (6.5.4) unstable; urgency=medium

  * chore: update CMake configuration for non-sw_64 architectures

 -- dengzhongyuan <dengzhongyuan@uniontech.com>  Fri, 20 Jun 2025 16:37:22 +0800

deepin-ocr (6.5.3) unstable; urgency=medium

  * chore: update build dependencies in debian/control

 -- dengzhongyuan <dengzhongyuan@uniontech.com>  Thu, 19 Jun 2025 22:17:22 +0800

deepin-ocr (6.5.2) unstable; urgency=medium

  * chore: update build dependencies and CMake configuration

 -- dengzhongyuan <dengzhongyuan@uniontech.com>  Thu, 19 Jun 2025 21:58:59 +0800

deepin-ocr (6.5.1) unstable; urgency=medium

  * fix: Fixed the COR recognition crash
  * i18n: Updates for project Deepin OCR (#39)
  * chore: update translations.

 -- renbin <renbin@uniontech.com>  Thu, 17 Apr 2025 10:14:32 +0800

## deepin-ocr 6.5.7

=== debian/changelog ===
deepin-ocr (6.5.7) unstable; urgency=medium

  * update version to 6.5.7 

 -- xiepengfei <xiepengfei@uniontech.com>  Tue, 01 Jul 2025 19:23:43 +0800

## deepin-ocr 6.5.9

=== CMakeLists.txt ===
# SPDX-FileCopyrightText: 2022 UnionTech Software Technology Co., Ltd.
#
# SPDX-License-Identifier: CC0-1.0

cmake_minimum_required(VERSION 3.10)
project(deepin-ocr)

option(DOTEST "option for test" OFF)

#deepin-ocr
add_subdirectory(src)

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -40,6 +40,13 @@
     endif()
 endif()
 
+if (NOT ${CMAKE_SYSTEM_PROCESSOR} MATCHES "sw_64")
+    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall -Wl,--as-need -fPIE")
+    set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Wno-error=incompatible-pointer-types -fPIC")
+    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall -Wl,--as-need -fPIE -Wno-error=incompatible-pointer-types")
+    set(CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} -pie")
+endif()
+
 find_package(Qt${QT_VERSION_MAJOR} REQUIRED ${QtModule})
 
 add_definitions(${QT_DEFINITIONS})
@@ -60,11 +67,13 @@
 include_directories(view)
 include_directories(service)
 include_directories(engine)
+include_directories(util)
 
 aux_source_directory(. allSource)
 aux_source_directory(./view allSource)
 aux_source_directory(./service allSource)
 aux_source_directory(./engine allSource)
+aux_source_directory(./util allSource)
 
 # translation
 file(GLOB TargetTsFiles LIST_DIRECTORIES false ../translations/${PROJECT_NAME}*.ts)
@@ -145,9 +154,9 @@
 # for dtk
 find_package(PkgConfig REQUIRED)
 pkg_check_modules(ocr_lib REQUIRED dtk6ocr)
+pkg_check_modules(InferenceEngine REQUIRED ncnn opencv_mobile)
 target_include_directories(${PROJECT_NAME} PUBLIC ${ocr_lib_INCLUDE_DIRS})
 find_package(Dtk${DTK_VERSION_MAJOR} REQUIRED COMPONENTS Core Widget)
-
 if(NOT SUPPORT_QT6)
     qt5_use_modules(${PROJECT_NAME} ${QtModule})
 endif()
@@ -162,6 +171,7 @@
     Qt${QT_VERSION_MAJOR}::Widgets
     Dtk${DTK_VERSION_MAJOR}::Core
     Dtk${DTK_VERSION_MAJOR}::Widget
+    ${InferenceEngine_LIBRARIES}
     ${ocr_lib_LIBRARIES}
     pthread
 )

=== debian/changelog ===
deepin-ocr (6.5.9) unstable; urgency=medium

  * chore: Add new Lao translation file (#67)

 -- dengzhongyuan <dengzhongyuan@uniontech.com>  Wed, 13 Aug 2025 13:58:09 +0800

deepin-ocr (6.5.8) unstable; urgency=medium

  * chore: Add new Lao translation file

 -- dengzhongyuan <dengzhongyuan@uniontech.com>  Thu, 07 Aug 2025 17:09:13 +0800

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,9 @@
  qt6-tools-dev,
  qt6-tools-dev-tools,
  libdtk6widget-dev,
- libdtk6ocr-dev
+ libdtk6ocr-dev,
+ libncnn-dev,
+ libopencv-mobile-dev
 Standards-Version: 4.1.3
 Homepage: http://www.deepin.org/

=== debian/rules ===
#!/usr/bin/make -f

export QT_SELECT=5
include /usr/share/dpkg/default.mk

%:
	dh $@


override_dh_auto_configure:
	dh_auto_configure -- VERSION=$(VERSION) LIB_INSTALL_DIR=/usr/lib/$(DEB_HOST_MULTIARCH) DEFINES+="VERSION=$(DEB_VERSION_UPSTREAM)"

## deepin-ocr 6.5.12

=== debian/changelog ===
deepin-ocr (6.5.12) unstable; urgency=medium

  * Add the OCR V5 plugin.

 -- dengzhongyuan <dengzhongyuan@uniontech.com>  Thu, 30 Oct 2025 18:42:34 +0800

deepin-ocr (6.5.11) unstable; urgency=medium

  * chore: Adjust pkg-config dependency

 -- zhanghongyuan <zhanghongyuan@uniontech.com>  Fri, 17 Oct 2025 08:35:29 +0800

deepin-ocr (6.5.10) unstable; urgency=medium

  * chore: Adjust open source license configuration

 -- zhanghongyuan <zhanghongyuan@uniontech.com>  Thu, 16 Oct 2025 17:48:00 +0800
